Package com.xebialabs.xlrelease.domain.events

# Class CommentUpdatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.CommentUpdatedEvent

All Implemented Interfaces:
  `CommentEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class CommentUpdatedEvent extends Object implements CommentEvent, scala.Product, Serializable
Event published when a comment has been updated. This practically means that the text of the comment has been changed. param: task the task to which the comment belongs. param: original the original comment instance. param: updated the updated comment instance, with the changed text.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommentUpdatedEvent(Task task, Comment original, Comment updated)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CommentUpdatedEvent`
  `apply(Task task, Comment original, Comment updated)`
  `boolean`
  `canEqual(Object x$1)`
  `CommentUpdatedEvent`
  `copy(Task task, Comment original, Comment updated)`
  `Task`
  `copy$default$1()`
  `Comment`
  `copy$default$2()`
  `Comment`
  `copy$default$3()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `Comment`
  `original()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Task`
  `task()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple3<Task,Comment,Comment>>`
  `unapply(CommentUpdatedEvent x$0)`
  `Comment`
  `updated()`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### CommentUpdatedEvent

    public CommentUpdatedEvent(Task task, Comment original, Comment updated)

- ## Method Details

  - ### apply

    public static CommentUpdatedEvent apply(Task task, Comment original, Comment updated)

  - ### unapply

    public static scala.Option<scala.Tuple3<Task,Comment,Comment>> unapply(CommentUpdatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### task

    public Task task()

  - ### original

    public Comment original()

  - ### updated

    public Comment updated()

  - ### copy

    public CommentUpdatedEvent copy(Task task, Comment original, Comment updated)

  - ### copy$default$1

    public Task copy$default$1()

  - ### copy$default$2

    public Comment copy$default$2()

  - ### copy$default$3

    public Comment copy$default$3()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`